--- title: "removeRoute" slug: "networking-vpc-routetable-removeroute" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-routetable-removeroute" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # removeRoute Available in VPC Remove the route list set in a route table. Default routes can't be removed. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/removeRoute | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the route table from which you want to remove the route - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `vpcNo` | String | Required | VPC number of the route table - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `routeTableNo` | String | Required | Route table number - Number of the route table whose route you want to remove. - See [getRouteTableList](/docs/en/networking-vpc-routetable-getroutetablelist). | | `routeList.N.destinationCidrBlock` | String | Required | Destination IPv4 address range of the route to remove - Use CIDR notation. - Example: routeList.1.destinationCidrBlock=0.0.0.0/0&routeList.2.destinationCidrBlock=100.10.20.0/24 | | `routeList.N.targetTypeCode` | String | Required | Destination type of the route to remove - `NATGW` \| `VPCPEERING` \| `VGW` - `NATGW`: NAT Gateway - `VPCPEERING`: VPC peering - `VGW`: Virtual private gateway - Example: routeList.1.targetTypeCode=NATGW&routeList.2.targetTypeCode=VPCPEERING | | `routeList.N.targetNo` | String | Required | Destination identification number of the route to delete - Check via API to query the list of resources for each destination type. - Example: routeList.1.targetNo=1234&routeList.2.targetNo=2345 | | `routeList.N.targetName` | String | Required | Destination name of the route to delete - Check via API to query the list of resources for each destination type. - Example: routeList.1.targetName=test-natgateway&routeList.2.targetName=test-peering | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/removeRoute ?regionCode=KR &vpcNo=***04 &routeTableNo=***38 &routeList.1.destinationCidrBlock=***.***.200.0/24 &routeList.1.targetTypeCode=NATGW &routeList.1.targetNo=***9734 &routeList.1.targetName=test-***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [RouteList](/docs/en/common-vapidatatype-routelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` fb1ea6cf-15bf-4600-b737-1d7bed33421e 0 success 2 ***.***.0.0/16 LOCAL ***38 LOCAL Local true ***.***.0.0/0 INTERNET GATEWAY ***38 IGW Internet Gateway true ```